Skip to main content
DELETE
/
snippets
Delete multiple snippets
curl --request DELETE \
  --url https://www.getsnippets.ai/api/prompts/snippets \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "message": "<string>"
  },
  "usage": {
    "remainingRequests": 123,
    "usageDeducted": 123
  },
  "metadata": {
    "requestedCount": 123,
    "deletedCount": 123,
    "inaccessibleCount": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getsnippets.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication using Bearer token. Include your API key in the Authorization header.

Query Parameters

ids
string
required

Comma-separated list of snippet IDs or JSON array

Response

Snippets deleted successfully

success
boolean
Example:

true

data
object
usage
object
metadata
object